For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
ModelsChatRankingsDocs
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
DocsAPI ReferenceClient SDKsAgent SDKCookbookChangelog
  • API Guides
    • Overview
    • Streaming
    • Embeddings
    • Limits
    • Authentication
    • Parameters
    • Errors and Debugging
  • API Reference
      • GETList observability destinations
      • POSTCreate an observability destination
      • GETGet an observability destination
      • DELDelete an observability destination
      • PATCHUpdate an observability destination
LogoLogo
ModelsChatRankingsDocs
API ReferenceObservability

Get an observability destination

GET
https://openrouter.ai/api/v1/observability/destinations/:id
GET
/api/v1/observability/destinations/:id
$curl https://openrouter.ai/api/v1/observability/destinations/99999999-aaaa-bbbb-cccc-dddddddddddd \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "type": "langfuse",
4 "api_key_hashes": null,
5 "config": {
6 "publicKey": "pk-l...EfGh",
7 "secretKey": "sk-l...AbCd",
8 "baseUrl": "https://us.cloud.langfuse.com"
9 },
10 "created_at": "2025-08-24T10:30:00Z",
11 "enabled": true,
12 "filter_rules": null,
13 "id": "99999999-aaaa-bbbb-cccc-dddddddddddd",
14 "name": "Production Langfuse",
15 "privacy_mode": false,
16 "sampling_rate": 1,
17 "updated_at": "2025-08-24T15:45:00Z",
18 "workspace_id": "550e8400-e29b-41d4-a716-446655440000"
19 }
20}

Fetch a single observability destination by its UUID. Management key required.

Was this page helpful?
Previous

Delete an observability destination

Next
Built with

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Path parameters

idstringRequiredformat: "uuid"

The destination ID (UUID).

Response

The observability destination
dataobject
The observability destination.

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error